summaryrefslogtreecommitdiff
path: root/scripts/scan-tools.sh
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2011-08-19 18:09:48 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2011-08-19 18:09:48 +0200
commit86dfed8c166fbbdf03985b46eb3c69b4ec1030b1 (patch)
tree1b5ba6990ee11053c9817e73f41853f055f4fc80 /scripts/scan-tools.sh
parent4c863c8a5d97ba758af95b153a99d80cf34216d1 (diff)
some kernels use LZMA, some XZ by default now. Check both tools.
Diffstat (limited to 'scripts/scan-tools.sh')
-rw-r--r--scripts/scan-tools.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 8834940c7..4ffe44649 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -112,8 +112,14 @@ if ! which gzip >/dev/null 2>&1; then
out=1
fi
-if ! which lzma >/dev/null 2>&1 && ! which xz >/dev/null 2>&1; then
- echo You must install lzma or xz-utils to continue.
+if ! which lzma >/dev/null 2>&1; then
+ echo You must install lzma to continue.
+ echo
+ out=1
+fi
+
+if ! which xz >/dev/null 2>&1; then
+ echo You must install xz-utils to continue.
echo
out=1
fi